Name:          audio-recorder
Version:       1.1
Release:       1mamba
Summary:       An audio recorder application
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://launchpad.net/audio-recorder
Source:        https://launchpad.net/audio-recorder/trunk/version%{version}/+download/audio-recorder-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgtk-devel
BuildRequires: libpango-devel
BuildRequires: libpulseaudio-devel
## AUTOBUILDREQ-END
Requires:      glib-dconf
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This program allows you to record your favourite music and audio to a file. It can record audio from your system's soundcard, microphones, browsers, webcams & more. Put simply; if it plays out of your loudspeakers you can record it.

%debug_package

%prep
%setup -q -n %{name}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
:

%postun
if [ $1 -eq 0 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
:


%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/audio-recorder
%{_datadir}/applications/audio-recorder.desktop
%dir %{_datadir}/audio-recorder
%{_datadir}/audio-recorder/*
%{_datadir}/glib-2.0/schemas/org.gnome.audio-recorder.gschema.xml
%{_datadir}/icons/hicolor/*/apps/audio-recorder-off.png
%{_datadir}/icons/hicolor/*/apps/audio-recorder-on.png
%{_datadir}/icons/hicolor/*/apps/audio-recorder-paused.png
%{_datadir}/icons/hicolor/*/apps/audio-recorder.png
%dir %{_datadir}/pixmaps/audio-recorder
%{_datadir}/pixmaps/audio-recorder/*.png
%doc AUTHORS

%changelog
* Tue Jul 23 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- package created by silvan using the webbuild interface
